<?xml version="1.0" encoding="utf-8" standalone="no" ?>
<modDesc descVersion="44">
	<author>X3D ToitoineModding</author>
	<version>1.0</version>
    <title>
        <en>Renault 7X14</en>
        <de>Renault 7X14</de>
    </title>
	<description>
        <en>X3D Renault 7X14</en>
        <de>X3D Renault 7X14</de>
    </description>
	<iconFilename>store/store_Renault_7514.png</iconFilename>
    <multiplayer supported="true" />

    <specializations>
        <specialization name="interactiveControl" className="InteractiveControl" filename="Scripts/InteractiveControl.lua" />
        <specialization name="interactiveWindows" className="InteractiveWindows" filename="Scripts/InteractiveWindows.lua" />
    </specializations>

    <vehicleTypes>	
		<type name="renault7514" parent="tractor" className="Vehicle" filename="$dataS/scripts/vehicles/Vehicle.lua">
			<specialization name="interactiveControl" />
			<specialization name="interactiveWindows" />
		</type>	
		<type name="renault7514s" parent="tractor" className="Vehicle" filename="$dataS/scripts/vehicles/Vehicle.lua">
			<specialization name="interactiveControl" />
			<specialization name="interactiveWindows" />	
		</type>	
		<type name="renault7814" parent="tractor" className="Vehicle" filename="$dataS/scripts/vehicles/Vehicle.lua">
			<specialization name="interactiveControl" />
			<specialization name="interactiveWindows" />
		</type>	
    </vehicleTypes>	

	<l10n>
        <text name="input_IC_SPACE"><pl>Przełącz IC</pl><en>Switch IC State</en><de>IC-Status wechseln</de><fr>Commutateur IC</fr></text>
        <text name="input_IC_MOUSE"><pl>Aktywuj IC</pl> <en>Change IC State</en><de>IC aktivieren</de><fr>Activer IC</fr></text>
        <text name="InteractiveControl_Off"><pl>Wyłącz IC</pl><en>Disable IC</en><de>IC deaktivieren</de><fr>Éteignez l'IC</fr></text>
        <text name="InteractiveControl_On"><pl>Włącz IC</pl><en>Enable IC</en><de>IC aktivieren</de><fr>Allumer le IC</fr></text>
        <text name="ic_component_close"><pl>Zamknij %s</pl> <en>Close %s</en><de>Schließen %s</de><fr>Proche %s</fr></text>
        <text name="ic_component_open"><pl>Otwórz %s</pl><en>Open %s</en><de>Öffnen %s</de><fr>Ouvert %s</fr></text>
        <text name="ic_button_on"><pl>Aktywuj %s</pl><en>Activate %s</en><de>Aktivieren %s</de><fr>Activer %s</fr></text>
        <text name="ic_button_off"><pl>Dezaktywuj %s</pl><en>Deactivate %s</en><de>Deaktivieren %s</de><fr>Désactiver %s</fr></text>
        <text name="rightDoor"><pl>Prawe drzwi</pl><en>Right door</en><de>Rechte Tür</de><fr>Porte droite</fr></text>
		<text name="leftDoor"><pl>Lewe drzwi</pl><en>Left door</en><de>Linke Tür</de><fr>Porte gauche</fr></text>
        <text name="backWindow"><pl>Prawe drzwi</pl><en>Back window</en><de>Rechte Tür</de><fr>fenetre arriere</fr></text>
		<text name="rightWindow"><pl>Lewe drzwi</pl><en>Right window</en><de>Linke Tür</de><fr>fenetre droite</fr></text>
		<text name="leftWindow"><pl>Lewe drzwi</pl><en>Left window</en><de>Linke Tür</de><fr>fenetre gauche</fr></text>
	</l10n>

	<actions>	
		<action name="IC_SPACE" 				category="VEHICLE"		axisType="HALF"/>
		<action name="IC_MOUSE" 				category="VEHICLE"		axisType="HALF"/>
	</actions>

	<inputBinding>
		<actionBinding action="IC_SPACE">
			<binding device="KB_MOUSE_DEFAULT" 	input="KEY_space" axisComponent="+" neutralInput="0" index="1"/>
		</actionBinding>
		<actionBinding action="IC_MOUSE">
			<binding device="KB_MOUSE_DEFAULT" input="MOUSE_BUTTON_LEFT" index="3"/>
		</actionBinding>
	</inputBinding>	

	<brands>
        <brand name="Renault" title="Renault" image="brand/brand_renault.png"/>
    </brands>

	<storeItems>
		<storeItem rootNode="vehicle" xmlFilename="renault7514.xml" />
		<storeItem rootNode="vehicle" xmlFilename="renault7514s.xml" />
		<storeItem rootNode="vehicle" xmlFilename="renault7814.xml" />
    </storeItems>
</modDesc>